| eprop

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Report propeptide cleavage sites in proteins

## Description

ProP 1.0 server predicts arginine and lysine propeptide cleavage sites in eukaryotic protein sequences using an ensemble of neural networks. Furin-specific prediction is the default. It is also possible to perform a general proprotein convertase (PC) prediction.

## Usage

Here is a sample session with eprop

    % eprop
    Report propeptide cleavage sites in proteins
    Input (aligned) protein sequence set: EDA_HUMAN.fsa
    Output file [eda_human.eprop]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Report propeptide cleavage sites in proteins
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-sequence]          seqset     (Aligned) protein sequence set filename and
                                      optional format, or reference (input USA)
      [-outfile]           outfile    [*.eprop] Output file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -plot               boolean    [N] Produce graphics
       -pcprediction       boolean    [N] Perform proprotein convertase prediction
       -signalp            boolean    [N] Include signal peptide cleavage site
                                      prediction

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -squick1            boolean    Read id and sequence only
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | seqset | (Aligned) protein sequence set filename and optional format, or reference (input USA) | Readable set of sequences | Required
[-outfile] (Parameter 2) | outfile | Output file name | Output file | <*>.eprop
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-plot | boolean | Produce graphics | Boolean value Yes/No | No
-pcprediction | boolean | Perform proprotein convertase prediction | Boolean value Yes/No | No
-signalp | boolean | Include signal peptide cleavage site prediction | Boolean value Yes/No | No
Associated qualifiers
"-sequence" associated seqset qualifiers
-sbegin1 -sbegin_sequence | integer | Start of each sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of each sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_sequence | boolean | Sequence is circular | Boolean value Yes/No | N
-squick1 -squick_sequence | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-iquery1 -iquery_sequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_sequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

eprop reads any normal sequence USAs.

### Input files for usage example

### File: EDA_HUMAN.fsa

    >EDA_HUMAN   Q92838 Ectodysplasin A (Ectodermal dysplasia protein) (EDA protein). - Homo sapiens (Human).
    MGYPEVERRELLPAAAPRERGSQGCGCGGAPARAGEGNSCLLFLGFFGLSLALHLLTLCC
    YLELRSELRRERGAESRLGGSGTPGTSGTLSSLGGLDPDSPITSHLGQPSPKQQPLEPGE
    AALHSDSQDGHQMALLNFFFPDEKPYSEEESRRVRRNKRSKSNEGADGPVKNKKKGKKAG
    PPGPNGPPGPPGPPGPQGPPGIPGIPGIPGTTVMGPPGPPGPPGPQGPPGLQGPSGAADK
    AGTRENQPAVVHLQGQGSAIQVKNDLSGGVLNDWSRITMNPKVFKLHPRSGELEVLVDGT
    YFIYSQVEVYYINFTDFASYEVVVDEKPFLQCTRSIETGKTNYNTCYTAGVCLLKARQKI
    AVKMVHADISINMSKHTTFFGAIRLGEAPAS

## Output file format

### Output files for usage example

### File: eda_human.eprop

             ##### ProP v.1.0b ProPeptide Cleavage Site Prediction #####

             ##### Furin-type cleavage site prediction (Arginine/Lysine residues) #####

      391 EDA_HUMAN
    MGYPEVERRELLPAAAPRERGSQGCGCGGAPARAGEGNSCLLFLGFFGLSLALHLLTLCCYLELRSELRRERGAESRLGG      80
    SGTPGTSGTLSSLGGLDPDSPITSHLGQPSPKQQPLEPGEAALHSDSQDGHQMALLNFFFPDEKPYSEEESRRVRRNKRS     160
    KSNEGADGPVKNKKKGKKAGPPGPNGPPGPPGPPGPQGPPGIPGIPGIPGTTVMGPPGPPGPPGPQGPPGLQGPSGAADK     240
    AGTRENQPAVVHLQGQGSAIQVKNDLSGGVLNDWSRITMNPKVFKLHPRSGELEVLVDGTYFIYSQVEVYYINFTDFASY     320
    EVVVDEKPFLQCTRSIETGKTNYNTCYTAGVCLLKARQKIAVKMVHADISINMSKHTTFFGAIRLGEAPAS              400
    ................................................................................      80
    ..............................................................................P.     160
    ................................................................................     240
    ................................................................................     320
    .......................................................................              400

    Propeptide cleavage sites predicted:	Arg(R)/Lys(K): 1

    Name           Pos    Context     Score  Pred
    ____________________________v_________________
    EDA_HUMAN        8    GYPEVER|RE  0.057    .
    EDA_HUMAN        9    YPEVERR|EL  0.128    .
    EDA_HUMAN       18    LPAAAPR|ER  0.135    .
    EDA_HUMAN       20    AAAPRER|GS  0.102    .
    EDA_HUMAN       33    CGGAPAR|AG  0.090    .
    EDA_HUMAN       65    CCYLELR|SE  0.089    .
    EDA_HUMAN       69    ELRSELR|RE  0.081    .
    EDA_HUMAN       70    LRSELRR|ER  0.195    .
    EDA_HUMAN       72    SELRRER|GA  0.293    .
    EDA_HUMAN       77    ERGAESR|LG  0.112    .
    EDA_HUMAN      112    LGQPSPK|QQ  0.064    .
    EDA_HUMAN      144    FFFPDEK|PY  0.060    .
    EDA_HUMAN      152    YSEEESR|RV  0.096    .
    EDA_HUMAN      153    SEEESRR|VR  0.114    .
    EDA_HUMAN      155    EESRRVR|RN  0.204    .
    EDA_HUMAN      156    ESRRVRR|NK  0.482    .
    EDA_HUMAN      158    RRVRRNK|RS  0.182    .
    EDA_HUMAN      159    RVRRNKR|SK  0.819 *ProP*
    EDA_HUMAN      161    RRNKRSK|SN  0.131    .
    EDA_HUMAN      171    GADGPVK|NK  0.060    .
    EDA_HUMAN      173    DGPVKNK|KK  0.066    .
    EDA_HUMAN      174    GPVKNKK|KG  0.119    .
    EDA_HUMAN      175    PVKNKKK|GK  0.156    .
    EDA_HUMAN      177    KNKKKGK|KA  0.116    .
    EDA_HUMAN      178    NKKKGKK|AG  0.120    .
    EDA_HUMAN      240    PSGAADK|AG  0.060    .
    EDA_HUMAN      244    ADKAGTR|EN  0.082    .
    EDA_HUMAN      263    GSAIQVK|ND  0.066    .
    EDA_HUMAN      276    VLNDWSR|IT  0.077    .
    EDA_HUMAN      282    RITMNPK|VF  0.057    .
    EDA_HUMAN      285    MNPKVFK|LH  0.064    .
    EDA_HUMAN      289    VFKLHPR|SG  0.116    .
    EDA_HUMAN      327    EVVVDEK|PF  0.060    .
    EDA_HUMAN      334    PFLQCTR|SI  0.152    .
    EDA_HUMAN      340    RSIETGK|TN  0.061    .
    EDA_HUMAN      355    AGVCLLK|AR  0.059    .
    EDA_HUMAN      357    VCLLKAR|QK  0.099    .
    EDA_HUMAN      359    LLKARQK|IA  0.073    .
    EDA_HUMAN      363    RQKIAVK|MV  0.078    .
    EDA_HUMAN      375    ISINMSK|HT  0.067    .
    EDA_HUMAN      384    TFFGAIR|LG  0.076    .
    ____________________________^_________________

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
enetnglyc | Report N-glycosylation sites in human proteins
enetoglyc | Reports mucin type GalNAc O-glycosylation sites in mammalian proteins
enetphos | Report Ser, Thr and Tyr phosphorylation sites in eukaryotic proteins
esignalp | Report protein signal cleavage sites
eyinoyang | Report O-(beta)-GlcNAc attachment sites

## Author(s)

This program is an EMBOSS wrapper for a program written by the CBS group http://www.cbs.dtu.dk/index.shtml

The original CBS group application must be licensed and installed to use this wrapper.

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None